# -*- coding: utf-8 -*-
from setuphelpers import *
import fnmatch
import os
import winsys
import platform

# registry key(s) where WAPT will find how to remove the application(s)
uninstallkey = []

destdir = makepath(programfiles,'Unlocker')
exefile = makepath(destdir,'Unlocker.exe')

def install():
    print('installing tis-unlocker')
    if iswin64():
      unzip('Unlocker-x64.zip',destdir)
    else:
      unzip('Unlocker-x86.zip',destdir)
    create_programs_menu_shortcut('Unlocker',exefile)
    print ('Registering uninstall')
    register_windows_uninstall(control)


def update_package():
    wget('http://srvtemplates.ad.tranquil.it/binary_cache/Unlocker-x64.zip','Unlocker-x64.zip',sha256='c2dad6b43944ac8d2dc84ba4a3d7a93154b91c836d140287a5041d3a1231144e')
    wget('http://srvtemplates.ad.tranquil.it/binary_cache/Unlocker-x86.zip','Unlocker-x86.zip',sha256='c5c81adfd9017e15cde4b4132cea77cf1ccca0d7e6e1559aa41c13321d57c62f')

def uninstall():
    killalltasks('Unlocker.exe')
    print ('Remove start link')
    remove_file(makepath(start_menu(1),'Unlocker.lnk'))
    print ('Remove sendto link')
    for i in glob.glob('C:\\Users\\*\\AppData\\Roaming\\Microsoft\\Windows\\SendTo\\unlocker.lnk'):
      print('delete %s' % i)
      remove_file(i)
    print('Remove directory content %s' % destdir) 
    remove_tree(destdir)
    print ('Unregister app from registry')
    unregister_uninstall('unlocker',False)
    print ('Uninstall successful')

def session_setup():
    print ('Create SendTo shortcut')
    create_shortcut(makepath(sendto(),'unlocker.lnk'),target=exefile)
